跳转至

版本发布

现在,Oh My CAP 采用语意话版本的版本号规则代替之前的 bug 列表来说明版本问题:

  • 主版本号:不兼容的 API 修改,
  • 次版本号:功能性新增,
  • 修订号:问题修正。

1.2

考虑到可能需要在工作区内放置一些文件,比如自己写的脚本,而又不想加入 repo 中,可以用 i_ 开头,则会忽略

震源深度不能等于界面深度。添加检查这一点的功能

Prof. Zhu 的画深度-拟合残差图的 gmt4 脚本不能正确确定图幅范围。 原因在于它要求它所依赖的 junk.out 文件中的各个深度的记录必须是升序,而生成 junk.out 文件的 grep 是按 ASCII 顺序排序而不是数值大小。 之前的做法是小于 10 的深度前面加一个 0,但是这样不符合人类习惯,特别是在深度为小于 1 的小数时让人觉得非常奇怪。 现在改用 Perl 脚本来完成排序的事情,再依次交给 grep,既不会出现错误,又符合人类习惯,彻底解决此 bug。

之前的方式依赖系统特性,只适用于 Linux,为了同时适应 Mac,增加功能:判断系统类别,再针对不同系统得到计算机逻辑核数目

1.1.1

1.1

  • 用配置文件来设置参数
  • 并行计算格林函数

1.0

  • 整合了安装 CAP 所需的软件源码
  • 详细的安装指南
  • 完整的数据处理流程以及示例